linux程序异常解决汇总

版权声明:本文为博主原创文章,转载请注明出处 ~ ~ ~ https://blog.csdn.net/tangwenbo124/article/details/78956200

记录一些程序运行异常

1.pip install gym[atari]

问题:
Command “/home/tang/anaconda2/bin/python -u -c “import setuptools, tokenize;file=’/tmp/pip-build-Wc1KXq/atari-py/setup.py’;f=getattr(tokenize, ‘open’, open)(file);code=f.read().replace(‘\r\n’, ‘\n’);f.close();exec(compile(code, file, ‘exec’))” install –record /tmp/pip-7YBSQ2-record/install-record.txt –single-version-externally-managed –compile” failed with error code 1 in /tmp/pip-build-Wc1KXq/atari-py/

解决办法:sudo apt install cmake


2./lib/libstdc++.so.6: version `GLIBCXX_3.4.20’ not found

问题:应该是.so文件版本不对

解决办法:把相应libstdc++.so文件拷贝到python目录下,并建立软链接

终端输入 locate libstdc++.so.6
显示:
/home/tang/anaconda2/lib/libstdc++.so.6
/home/tang/anaconda2/lib/libstdc++.so.6.0.19
/home/tang/anaconda2/pkgs/libgcc-4.8.5-2/lib/libstdc++.so.6
/home/tang/anaconda2/pkgs/libgcc-4.8.5-2/lib/libstdc++.so.6.0.19
/usr/lib/x86_64-linux-gnu/libstdc++.so.6
/usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.21
/usr/share/gdb/auto-load/usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.21-gdb.py

删除 /home/tang/anaconda2/lib/ 下的 libstdc++.so.6/libstdc++.so,然后把/usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.21 拷贝到 /home/tang/anaconda2/lib/ 下面,并把libstdc++.so.6.0.21 软链到 libstdc++.so.6libstdc++.so 即可。

建立软链

ln -s libstdc++.so.6.0.21 libstdc++.so.6
ln -s libstdc++.so.6.0.21 libstdc++.so
展开阅读全文

没有更多推荐了,返回首页